Subject: guix system reconfigure hangs, shows repl in messages

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 05 Jun 2016 11:52:13 +0200

Hi,

Not sure this qualifies as a bug, sending per request.

As a preparation to move from Debian to GuixSD, I have been dual
booting between Debian and GuixSD.

Using Debian as my main system with this layout

    /dev/sda3 "debian" /
    /dev/sda1          /guix
    /dev/sda4          /home

I did

    guix system init drakenvlieg.scm /guix

see attached, and then booted into GuixSD.  GuixSD still using its own
/home on its sda1 root.

On GuixSD, I ran Gnome and mounted the home I had been using with Debian

    /dev/sda1 "guix"   /
    /dev/sda3 "debian" /debian
    /dev/sda4          /hoom    <--manual mount

I set $HOME /to /hoom/janneke and checked that some things like wifi,
fonts, ssh, gnus, openvpn, touchpad etc. worked good enough to switch
over.

Then, I uncommented the /home section in drakenvlieg.scm, like so

    ;; Switch to GuixSD
    (file-system (device "home")
                 (title 'label)
                 (mount-point "/home")
                 (type "ext4"))
    (file-system (device (label "Debian")) (title 'label) (mount-point "/debian") (type "ext4") (flags '(read-only)))

and (without considering I had mounted /hoom and set $HOME there) ran

    guix system reconfigure drakenvlieg.scm

which eventually printed

    ...
    guix system: loading new services: file-system-/home urandom-seed ntpd avahi-daemon ssh-daemon...
    shepherd: Evaluating user expression (register-services (primitive-load "/gn...") ...).

In /var/log/messages I found some clue as to why this did not return

    2016-06-01 19:55:20 Service root has been started.
    2016-06-01 19:55:20 starting services...
    2016-06-01 19:55:20 Service root-file-system has been started.
    2016-06-01 19:55:20 waiting for udevd...
    2016-06-01 19:55:23 Service udev has been started.
    2016-06-01 19:55:23 Service swap-/dev/sda2 has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/hugetlb has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/perf_event has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/blkio has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/freezer has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/devices has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/memory has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/cpuacct has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/cpu has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/cpuset has been started.
    2016-06-01 19:55:23 Service file-system-/sys/fs/cgroup/elogind has been started.
    2016-06-01 19:55:23 Service file-system-/run/user has been started.
    2016-06-01 19:55:23 Service file-system-/run/systemd has been started.
    2016-06-01 19:55:23 Service file-system-/gnu/store has been started.
    2016-06-01 19:55:23 Service file-system-/dev/shm has been started.
    2016-06-01 19:55:23 Service file-system-/dev/pts has been started.
    2016-06-01 19:55:23 Service user-file-systems has been started.
    2016-06-01 19:55:23 Service user-processes has been started.
    2016-06-01 19:55:23 Service host-name has been started.
    2016-06-01 19:55:23 Service nscd has been started.
    2016-06-01 19:55:23 Service guix-daemon has been started.
    2016-06-01 19:55:23 Service syslogd has been started.
    2016-06-01 19:55:23 Service loopback has been started.
    2016-06-01 19:55:23 Service term-tty6 has been started.
    2016-06-01 19:55:23 Service term-tty5 has been started.
    2016-06-01 19:55:23 Service term-tty4 has been started.
    2016-06-01 19:55:23 Service term-tty3 has been started.
    2016-06-01 19:55:23 Service term-tty2 has been started.
    2016-06-01 19:55:23 Service term-tty1 has been started.
    2016-06-01 19:55:23 Service console-font-tty6 has been started.
    2016-06-01 19:55:23 Service console-font-tty5 has been started.
    2016-06-01 19:55:23 Service console-font-tty4 has been started.
    2016-06-01 19:55:23 Service console-font-tty3 has been started.
    2016-06-01 19:55:23 Service console-font-tty2 has been started.
    2016-06-01 19:55:23 Service console-font-tty1 has been started.
    2016-06-01 19:55:23 Service dbus-system has been started.
    2016-06-01 19:55:23 Service networking has been started.
    2016-06-01 19:55:23 Service ntpd has been started.
    2016-06-01 19:55:23 Service upower-daemon has been started.
    2016-06-01 19:55:23 Service avahi-daemon has been started.
    2016-06-01 19:55:23 Service xorg-server has been started.
    2016-06-01 19:55:23 Service postgres has been started.
    2016-06-01 19:55:23 Service ssh-daemon has been started.
    2016-06-01 19:55:23 Service console-keymap has been started.
    2016-06-01 19:55:23 Respawning upower-daemon.
    2016-06-01 19:55:23 Service upower-daemon has been started.
    2016-06-01 19:55:23 Respawning avahi-daemon.
    2016-06-01 19:55:23 Service avahi-daemon has been started.
    2016-06-01 19:59:57 Evaluating user expression (register-services (primitive-load "/gn...") #).
    2016-06-01 19:59:57 GNU Guile 2.0.11
    2016-06-01 19:59:57 Copyright (C) 1995-2014 Free Software Foundation, Inc.
    2016-06-01 19:59:57 
    2016-06-01 19:59:57 Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
    2016-06-01 19:59:57 This program is free software, and you are welcome to redistribute it
    2016-06-01 19:59:57 under certain conditions; type `,show c' for details.
    2016-06-01 19:59:57 
    2016-06-01 19:59:57 Enter `,help' for help.

Greetings,
Jan

PS: I booted into Debian, did a new system init into /guix and am
    running GuixSD now.

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar®  http://AvatarAcademy.nl